// KiadDlg.cpp : implementation file
//

#include "stdafx.h"
#include "KoltsegesProgram.h"
#include "KiadDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// KiadDlg dialog


KiadDlg::KiadDlg(CWnd* pParent /*=NULL*/)
	: CDialog(KiadDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(KiadDlg)
	datum = _T("");
	megj = _T("");
	osszeg = 0;
	kat = _T("");
	//}}AFX_DATA_INIT
}


void KiadDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(KiadDlg)
	DDX_Text(pDX, ID_DATUM, datum);
	DDV_MaxChars(pDX, datum, 11);
	DDX_Text(pDX, ID_MEGJ, megj);
	DDX_Text(pDX, ID_OSSZEG, osszeg);
	DDV_MinMaxInt(pDX, osszeg, 1, 2147483647);
	DDX_CBString(pDX, ID_KAT, kat);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(KiadDlg, CDialog)
	//{{AFX_MSG_MAP(KiadDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// KiadDlg message handlers

void KiadDlg::SetKiad(const Kiadas &out)
{
	osszeg=out.Osszeg();
	kat=out.Kat();
	megj=out.Megj();
	datum=out.Datum();
}

void KiadDlg::GetKiad(Kiadas &out)
{
	out.SetOsszeg(osszeg);
	out.SetKat(kat);
	out.SetDatum(datum);
	out.SetMegj(megj);
}

void KiadDlg::SetTitle(CString s)
{
	title=s;
}

BOOL KiadDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	if (title!=_T("")) SetWindowText(title);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
