// KiadListDlg.cpp : implementation file
//

#include "stdafx.h"
#include "KoltsegesProgram.h"
#include "KiadListDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// KiadListDlg dialog


KiadListDlg::KiadListDlg(CWnd* pParent /*=NULL*/)
	: CDialog(KiadListDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(KiadListDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void KiadListDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(KiadListDlg)
	DDX_Control(pDX, IDC_LIST_KIAD, list);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(KiadListDlg, CDialog)
	//{{AFX_MSG_MAP(KiadListDlg)
	ON_NOTIFY(NM_DBLCLK, IDC_LIST_KIAD, OnDblclkListKiad)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// KiadListDlg message handlers

BOOL KiadListDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CString str;
	int n=doc->GetSize();
	ren=new int[n];
	int tmp;
	for(int i=0;i<n;i++) ren[i]=i;
	for(i=1;i<n;i++) {
		for(int j=i;j>0;j--) if (doc->GetKiad(ren[j]).Datum()<doc->GetKiad(ren[j-1]).Datum())
		{
			tmp=ren[j];ren[j]=ren[j-1];ren[j-1]=tmp;
		}
	}
	list.InsertColumn(1,"Dtum",LVCFMT_LEFT,70);
	list.InsertColumn(2,"Kategria",LVCFMT_LEFT,90);
	list.InsertColumn(3,"Megjegyzs",LVCFMT_LEFT,100);
	list.InsertColumn(4,"sszeg",LVCFMT_RIGHT,100);
	for(i=0;i<n;i++) {
		list.InsertItem(i,doc->GetKiad(ren[i]).Datum());
		list.SetItemText(i,1,doc->GetKiad(ren[i]).Kat());
		list.SetItemText(i,2,doc->GetKiad(ren[i]).Megj());
		str.Format("%d",doc->GetKiad(ren[i]).Osszeg());
		list.SetItemText(i,3,str);
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void KiadListDlg::SetDocument(CKoltsegesProgramDoc *s)
{
  doc=s;
}

int KiadListDlg::Selected()
{
	return selected;
}

void KiadListDlg::OnOK() 
{
	// TODO: Add extra validation here
	selected=ren[list.GetNextItem(-1,LVNI_ALL| LVNI_SELECTED)];	
	CDialog::OnOK();
}


void KiadListDlg::OnDblclkListKiad(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	selected=ren[list.GetNextItem(-1,LVNI_ALL| LVNI_SELECTED)];	
	CDialog::OnOK();
	*pResult = 0;
}

BOOL KiadListDlg::DestroyWindow() 
{
	// TODO: Add your specialized code here and/or call the base class
	delete ren;
	return CDialog::DestroyWindow();
}
