// KoltsegesProgramDoc.cpp : implementation of the CKoltsegesProgramDoc class
//

#include "stdafx.h"
#include "KoltsegesProgram.h"

#include "KoltsegesProgramDoc.h"
#include "KiadListdlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKoltsegesProgramDoc

IMPLEMENT_DYNCREATE(CKoltsegesProgramDoc, CDocument)

BEGIN_MESSAGE_MAP(CKoltsegesProgramDoc, CDocument)
	//{{AFX_MSG_MAP(CKoltsegesProgramDoc)
	ON_COMMAND(ID_KIAD, OnKiad)
	ON_COMMAND(ID_KIAD_LIST, OnKiadList)
	ON_UPDATE_COMMAND_UI(ID_KIAD_LIST, OnUpdateKiadList)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKoltsegesProgramDoc construction/destruction

CKoltsegesProgramDoc::CKoltsegesProgramDoc()
{
	// TODO: add one-time construction code here

}

CKoltsegesProgramDoc::~CKoltsegesProgramDoc()
{
}

BOOL CKoltsegesProgramDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CKoltsegesProgramDoc serialization

void CKoltsegesProgramDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		int n=items.GetSize();
		ar.Write(&n,sizeof(int));
		for(int i=0;i<n;i++) {
			items[i].Put(ar);
		}
	}
	else
	{
		int n;
		ar.Read(&n,sizeof(int));
		Kiadas out;
		for(int i=0;i<n;i++) {
			out.Get(ar);
			items.Add(out);
		}
	}
}

/////////////////////////////////////////////////////////////////////////////
// CKoltsegesProgramDoc diagnostics

#ifdef _DEBUG
void CKoltsegesProgramDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CKoltsegesProgramDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CKoltsegesProgramDoc commands

void CKoltsegesProgramDoc::OnKiad() 
{
	KiadDlg dlg;
	Kiadas out;
	dlg.SetTitle("j kiads bevitele");
	dlg.SetKiad(out);
	if (dlg.DoModal()==IDOK) {
		dlg.GetKiad(out);
		items.Add(out);
		SetModifiedFlag(TRUE);
	}
	UpdateAllViews(FALSE);
	
}

void CKoltsegesProgramDoc::DeleteContents()
{
	items.RemoveAll();
	CDocument::DeleteContents();
}

void CKoltsegesProgramDoc::OnKiadList() 
{
	KiadListDlg dlg;
	dlg.SetDocument(this);
	if ((dlg.DoModal() == IDOK) && (dlg.Selected()>-1)) {
		KiadDlg mod;
		mod.SetTitle("Kiads vltoztatsa");
		mod.SetKiad(items[dlg.Selected()]);
		if( mod.DoModal() == IDOK) {
			mod.GetKiad(items[dlg.Selected()]);
			SetModifiedFlag(TRUE);
		}
	}
	UpdateAllViews(FALSE);
	//dlg.DoModal();	
}

void CKoltsegesProgramDoc::OnUpdateKiadList(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(items.GetSize() >0);
}

int CKoltsegesProgramDoc::GetSize() const 
{
	return items.GetSize();
}

Kiadas CKoltsegesProgramDoc::GetKiad(int i) const
{
	return items[i];
}
